package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校上传的材料对象 tb_school_upload_material
 * 
 * @author ruoyi
 * @date 2022-10-10
 */
public class TbSchoolUploadMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    private String schoolName;

    /** 材料名称 */
    @Excel(name = "材料名称")
    private String materialName;

    private String materialCover;

    public String getMaterialCover() {
        return materialCover;
    }

    public void setMaterialCover(String materialCover) {
        this.materialCover = materialCover;
    }

    /** 文件路径 */
    @Excel(name = "文件路径")
    private String files;

    private String creatorDesc;

    private String modifiedByDesc;

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setMaterialName(String materialName) 
    {
        this.materialName = materialName;
    }

    public String getMaterialName() 
    {
        return materialName;
    }
    public void setFiles(String files) 
    {
        this.files = files;
    }

    public String getFiles() 
    {
        return files;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("materialName", getMaterialName())
            .append("files", getFiles())
            .append("creator", getCreator())
            .append("createTime", getCreateTime())
            .append("modifiedBy", getModifiedBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
